## org.apache.aries.subsystem.obr.internal
Class RepositoryAdminRepository

    java.lang.Object
      org.apache.aries.subsystem.obr.internal.RepositoryAdminRepository

All Implemented Interfaces:
  org.osgi.service.repository.Repository

    public class RepositoryAdminRepository

extends Object
implements org.osgi.service.repository.Repository

Field Summary

Fields inherited from interface org.osgi.service.repository.Repository
`URL`

Constructor Summary
`RepositoryAdminRepository(org.apache.felix.bundlerepository.RepositoryAdmin repositoryAdmin)`

Method Summary
`Map<org.osgi.resource.Requirement,Collection<org.osgi.resource.Capability>>` `findProviders(Collection<? extends org.osgi.resource.Requirement> requirements)`
`Collection<org.osgi.resource.Capability>` `findProviders(org.osgi.resource.Requirement requirement)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryAdminRepository

    public RepositoryAdminRepository(org.apache.felix.bundlerepository.RepositoryAdmin repositoryAdmin)

Method Detail

### findProviders

    public Collection<org.osgi.resource.Capability> findProviders(org.osgi.resource.Requirement requirement)

### findProviders

    public Map<org.osgi.resource.Requirement,Collection<org.osgi.resource.Capability>> findProviders(Collection<? extends org.osgi.resource.Requirement> requirements)

  Specified by:
    `findProviders` in interface `org.osgi.service.repository.Repository`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.